9 years ago[naalstones] muninlite: Fixes: Error messages on server due to missing ethtool on node, recognition of tapX devices, recognition of openwrt bridges, and workaround for dashes in interface names (replace with an underscore on graph)
cshore []
[naalstones] muninlite: Fixes: Error messages on server due to missing ethtool on node, recognition of tapX devices, recognition of openwrt bridges, and workaround for dashes in interface names (replace with an underscore on graph)

git-svn-id: svn://svn.openwrt.org/openwrt/packages@26973 3c298f89-4303-0410-b956-a3cf2f4a3e73

9 years ago[packages] wget: disable IRI
jow []
[packages] wget: disable IRI


git-svn-id: svn://svn.openwrt.org/openwrt/packages@26967 3c298f89-4303-0410-b956-a3cf2f4a3e73

9 years agoupated to latest git with additional modules
mazilo []
upated to latest git with additional modules

git-svn-id: svn://svn.openwrt.org/openwrt/packages@26966 3c298f89-4303-0410-b956-a3cf2f4a3e73

9 years ago[packages] php5: fix build on backfire (membar_producer link error, closes #9379)
mhei []
[packages] php5: fix build on backfire (membar_producer link error, closes #9379)

The attached patch was accepted upstream, see
http://bugs.php.net/bug.php?id=54895 for details.



git-svn-id: svn://svn.openwrt.org/openwrt/packages@26965 3c298f89-4303-0410-b956-a3cf2f4a3e73

9 years ago[packages] weechat: update to 0.3.5, use cmake for building
loswillios []
[packages] weechat: update to 0.3.5, use cmake for building

git-svn-id: svn://svn.openwrt.org/openwrt/packages@26964 3c298f89-4303-0410-b956-a3cf2f4a3e73

9 years ago[packages] distribute: update to 0.6.16, install easy_install (fixes #8135)
loswillios []
[packages] distribute: update to 0.6.16, install easy_install (fixes #8135)

git-svn-id: svn://svn.openwrt.org/openwrt/packages@26960 3c298f89-4303-0410-b956-a3cf2f4a3e73

9 years ago[packages] fix nmap build variants (#9387)
florian []
[packages] fix nmap build variants (#9387)

The default variant of nmap does not appear to be building correctly, if
at all (all invocations of configure have --with-openssl). Add a nossl
variant to fix building.

Set PKG_BULID_DIR to differ between variants to prevent overlapping of
builds.

Signed-off-by: Kevin Locke <klocke@digitalenginesoftware.com>

git-svn-id: svn://svn.openwrt.org/openwrt/packages@26951 3c298f89-4303-0410-b956-a3cf2f4a3e73

9 years agofix MD5SUM on freeswitch-sounds-en-us-callie-8000-1.0.15.tar.gz package
mazilo []
fix MD5SUM on freeswitch-sounds-en-us-callie-8000-1.0.15.tar.gz package

git-svn-id: svn://svn.openwrt.org/openwrt/packages@26950 3c298f89-4303-0410-b956-a3cf2f4a3e73

9 years ago[packages] utils: restorefactory: Fixed typo in package description define. Thank RealOpty.
cshore []
[packages] utils: restorefactory: Fixed typo in package description define. Thank RealOpty.

git-svn-id: svn://svn.openwrt.org/openwrt/packages@26946 3c298f89-4303-0410-b956-a3cf2f4a3e73

9 years ago[packages] liboping: update to 1.6.1
swalker []
[packages] liboping: update to 1.6.1


git-svn-id: svn://svn.openwrt.org/openwrt/packages@26944 3c298f89-4303-0410-b956-a3cf2f4a3e73

9 years ago[packages] libconfig: update to 1.4.7
swalker []
[packages] libconfig: update to 1.4.7


git-svn-id: svn://svn.openwrt.org/openwrt/packages@26943 3c298f89-4303-0410-b956-a3cf2f4a3e73

9 years agoadd a support for mod_spandsp
mazilo []
add a support for mod_spandsp

git-svn-id: svn://svn.openwrt.org/openwrt/packages@26942 3c298f89-4303-0410-b956-a3cf2f4a3e73

9 years ago[packages] zile: update to 2.3.24
swalker []
[packages] zile: update to 2.3.24


git-svn-id: svn://svn.openwrt.org/openwrt/packages@26941 3c298f89-4303-0410-b956-a3cf2f4a3e73

9 years ago[packages] unrar: update to 4.0.7
swalker []
[packages] unrar: update to 4.0.7


git-svn-id: svn://svn.openwrt.org/openwrt/packages@26940 3c298f89-4303-0410-b956-a3cf2f4a3e73

9 years ago[packages] monit: update to 5.2.5
swalker []
[packages] monit: update to 5.2.5


git-svn-id: svn://svn.openwrt.org/openwrt/packages@26939 3c298f89-4303-0410-b956-a3cf2f4a3e73

9 years agoupdate patches
mazilo []
update patches

git-svn-id: svn://svn.openwrt.org/openwrt/packages@26938 3c298f89-4303-0410-b956-a3cf2f4a3e73

9 years agoupdate patches
mazilo []
update patches

git-svn-id: svn://svn.openwrt.org/openwrt/packages@26937 3c298f89-4303-0410-b956-a3cf2f4a3e73

9 years agoupdate to v1.0.7 (a daily snapshot of git version)
mazilo []
update to v1.0.7 (a daily snapshot of git version)

git-svn-id: svn://svn.openwrt.org/openwrt/packages@26935 3c298f89-4303-0410-b956-a3cf2f4a3e73

9 years ago[packages] wget: make it depend on libidn
jow []
[packages] wget: make it depend on libidn


git-svn-id: svn://svn.openwrt.org/openwrt/packages@26929 3c298f89-4303-0410-b956-a3cf2f4a3e73

9 years ago[packages] transmission: update to 2.31
obsy []
[packages] transmission: update to 2.31

git-svn-id: svn://svn.openwrt.org/openwrt/packages@26928 3c298f89-4303-0410-b956-a3cf2f4a3e73

9 years ago[packages] cryptsetup: update to 1.3.0
loswillios []
[packages] cryptsetup: update to 1.3.0

git-svn-id: svn://svn.openwrt.org/openwrt/packages@26925 3c298f89-4303-0410-b956-a3cf2f4a3e73

9 years ago[packages] miniupnpc: update to 1.5
swalker []
[packages] miniupnpc: update to 1.5
* add libminiupnpc package
* use PKG_INSTALL & MAKE_FLAGS
* add copyright info
* refresh patches


git-svn-id: svn://svn.openwrt.org/openwrt/packages@26921 3c298f89-4303-0410-b956-a3cf2f4a3e73

9 years ago[packages] transmission: update to 2.30
obsy []
[packages] transmission: update to 2.30

git-svn-id: svn://svn.openwrt.org/openwrt/packages@26914 3c298f89-4303-0410-b956-a3cf2f4a3e73

9 years ago[packages] aircrack-ng: implement --ignore-negative-one option to cope with cfg80211 monitor mode channel issues
jow []
[packages] aircrack-ng: implement --ignore-negative-one option to cope with cfg80211 monitor mode channel issues


git-svn-id: svn://svn.openwrt.org/openwrt/packages@26910 3c298f89-4303-0410-b956-a3cf2f4a3e73

9 years ago[packages] net-snmp: Comment out optional 'sysDecr' in example config (#9414)
acinonyx []
[packages] net-snmp: Comment out optional 'sysDecr' in example config (#9414)

git-svn-id: svn://svn.openwrt.org/openwrt/packages@26904 3c298f89-4303-0410-b956-a3cf2f4a3e73

9 years ago[packages] tcp_wrappers: Refresh patches
acinonyx []
[packages] tcp_wrappers: Refresh patches

git-svn-id: svn://svn.openwrt.org/openwrt/packages@26899 3c298f89-4303-0410-b956-a3cf2f4a3e73

9 years ago[packages] tcp_wrappers: upstream patch for supporting n.n.n.n/len notation
acinonyx []
[packages] tcp_wrappers: upstream patch for supporting n.n.n.n/len notation

Actually, it needs to return the prefix in network byte order... htonl() and ntohl() tend to be identical.

Signed-off-by: Philip Prindeville <philipp@redfish-solutions.com>

git-svn-id: svn://svn.openwrt.org/openwrt/packages@26898 3c298f89-4303-0410-b956-a3cf2f4a3e73

9 years ago[packages] polarssl: update to 0.14.3 (#9183), thanks Martin Johansson
swalker []
[packages] polarssl: update to 0.14.3 (#9183), thanks Martin Johansson


git-svn-id: svn://svn.openwrt.org/openwrt/packages@26897 3c298f89-4303-0410-b956-a3cf2f4a3e73

9 years ago[packages] tinc: update to 1.0.14 (#9384), thanks netztrip
swalker []
[packages] tinc: update to 1.0.14 (#9384), thanks netztrip


git-svn-id: svn://svn.openwrt.org/openwrt/packages@26896 3c298f89-4303-0410-b956-a3cf2f4a3e73

9 years ago[packages] pure-ftpd: update to 1.0.32 (#9411), thanks realopty, refresh patches
swalker []
[packages] pure-ftpd: update to 1.0.32 (#9411), thanks realopty, refresh patches


git-svn-id: svn://svn.openwrt.org/openwrt/packages@26895 3c298f89-4303-0410-b956-a3cf2f4a3e73

9 years ago[packages] openvpn-devel: update to 201120 (#9341), thanks Stefan Hellermann, use CONFIGURE_{ARGS,VARS}, add copyright info
swalker []
[packages] openvpn-devel: update to 201120 (#9341), thanks Stefan Hellermann, use CONFIGURE_{ARGS,VARS}, add copyright info


git-svn-id: svn://svn.openwrt.org/openwrt/packages@26894 3c298f89-4303-0410-b956-a3cf2f4a3e73

9 years ago[packages] lftp: update to 4.2.3
swalker []
[packages] lftp: update to 4.2.3


git-svn-id: svn://svn.openwrt.org/openwrt/packages@26893 3c298f89-4303-0410-b956-a3cf2f4a3e73

9 years ago[packages] e169-stats: update to 0.6 (#9255), thanks obsy, refresh patches
swalker []
[packages] e169-stats: update to 0.6 (#9255), thanks obsy, refresh patches


git-svn-id: svn://svn.openwrt.org/openwrt/packages@26892 3c298f89-4303-0410-b956-a3cf2f4a3e73

9 years ago[packages] php5: add gettext module
mhei []
[packages] php5: add gettext module

git-svn-id: svn://svn.openwrt.org/openwrt/packages@26887 3c298f89-4303-0410-b956-a3cf2f4a3e73

9 years ago[packages] mocp: adds Music On Console player
blogic []
[packages] mocp: adds Music On Console player



git-svn-id: svn://svn.openwrt.org/openwrt/packages@26886 3c298f89-4303-0410-b956-a3cf2f4a3e73

9 years ago[packages] openvpn: stop instances even if they are disabled (#9404)
jow []
[packages] openvpn: stop instances even if they are disabled (#9404)


git-svn-id: svn://svn.openwrt.org/openwrt/packages@26881 3c298f89-4303-0410-b956-a3cf2f4a3e73

9 years ago[package] update faifa to r82
florian []
[package] update faifa to r82

git-svn-id: svn://svn.openwrt.org/openwrt/packages@26871 3c298f89-4303-0410-b956-a3cf2f4a3e73

9 years ago[packages] php5: fix build and package dependencies
mhei []
[packages] php5: fix build and package dependencies

- fix PKG_BUILD_DEPENDS (should finally close #9196)
- correct package dependency spec as suggested by jow (refs #9368)



git-svn-id: svn://svn.openwrt.org/openwrt/packages@26870 3c298f89-4303-0410-b956-a3cf2f4a3e73

9 years ago[packages]: update openssh to 5.8p2
tripolar []
[packages]: update openssh to 5.8p2


git-svn-id: svn://svn.openwrt.org/openwrt/packages@26869 3c298f89-4303-0410-b956-a3cf2f4a3e73

9 years ago[libftdi]
blogic []
[libftdi]

Adds libfti - a C-library to interface FTDI USB-serial-chips.
Package may need improvement, source libftdi also provides a C++ binding
which is not getting installed with this package yet.

Signed-off-by: Michael Markstaller <mm@elabnet.de>



git-svn-id: svn://svn.openwrt.org/openwrt/packages@26867 3c298f89-4303-0410-b956-a3cf2f4a3e73

9 years ago[usb-modeswitch]
blogic []
[usb-modeswitch]
* Update usb-modeswitch to v1.1.7
* Update usb-modeswitch-data to v20110227

Signed-off-by: Layne Edwards <ledwards76@gmail.com>



git-svn-id: svn://svn.openwrt.org/openwrt/packages@26866 3c298f89-4303-0410-b956-a3cf2f4a3e73

9 years ago[package] lcd4linux: update to SVN r1144
jmccrohan []
[package] lcd4linux: update to SVN r1144

git-svn-id: svn://svn.openwrt.org/openwrt/packages@26864 3c298f89-4303-0410-b956-a3cf2f4a3e73

9 years ago[packages] ddns-scripts: add he.net service url (#9376)
jow []
[packages] ddns-scripts: add he.net service url (#9376)


git-svn-id: svn://svn.openwrt.org/openwrt/packages@26863 3c298f89-4303-0410-b956-a3cf2f4a3e73

9 years ago[packages] ulogd: compile with --export-dynamic to solve segfault in dlopen() (#8481)
jow []
[packages] ulogd: compile with --export-dynamic to solve segfault in dlopen() (#8481)


git-svn-id: svn://svn.openwrt.org/openwrt/packages@26853 3c298f89-4303-0410-b956-a3cf2f4a3e73

9 years ago[PATCH] split rsyncd into a separate package
jow []
[PATCH] split rsyncd into a separate package
Split rsyncd into a separate package

Make rsyncd a separate config option so that people who don't want an
rsync daemon using up RAM can still select the rsync client. Depends
on rsync for the binary, the rsyncd package just consists of the init
script and configuration files.

Signed-off-by: Russell Senior <seniorr at aracnet.com>


git-svn-id: svn://svn.openwrt.org/openwrt/packages@26852 3c298f89-4303-0410-b956-a3cf2f4a3e73

9 years ago[packages] php5: add missing $ sign (fixes #9264)
mhei []
[packages] php5: add missing $ sign (fixes #9264)



git-svn-id: svn://svn.openwrt.org/openwrt/packages@26847 3c298f89-4303-0410-b956-a3cf2f4a3e73

9 years agoupgrade debootstrap package
luka []
upgrade debootstrap package

git-svn-id: svn://svn.openwrt.org/openwrt/packages@26839 3c298f89-4303-0410-b956-a3cf2f4a3e73

9 years agoreorganize lm-sensors Makefile
luka []
reorganize lm-sensors Makefile
Philip Prindeville <philipp_subx@redfish-solutions.com>

git-svn-id: svn://svn.openwrt.org/openwrt/packages@26838 3c298f89-4303-0410-b956-a3cf2f4a3e73

9 years agonet/bird: update to version 1.3.1
acoul []
net/bird: update to version 1.3.1


git-svn-id: svn://svn.openwrt.org/openwrt/packages@26835 3c298f89-4303-0410-b956-a3cf2f4a3e73

9 years ago[packages] ipv6calc: update to v0.82.1, fixes claring of "valid" flag on mips platforms
jow []
[packages] ipv6calc: update to v0.82.1, fixes claring of "valid" flag on mips platforms


git-svn-id: svn://svn.openwrt.org/openwrt/packages@26834 3c298f89-4303-0410-b956-a3cf2f4a3e73

9 years ago[packages] apr: ditch shipped libtool, make it non-silent
jow []
[packages] apr: ditch shipped libtool, make it non-silent


git-svn-id: svn://svn.openwrt.org/openwrt/packages@26831 3c298f89-4303-0410-b956-a3cf2f4a3e73

9 years ago[packages] apr-util: remove shipped libtool, don't use host odbc_config
jow []
[packages] apr-util: remove shipped libtool, don't use host odbc_config


git-svn-id: svn://svn.openwrt.org/openwrt/packages@26830 3c298f89-4303-0410-b956-a3cf2f4a3e73

9 years ago[packages] mini-snmpd: make IPv4 / IPv6 mode switchable when daemon is built with IPv6 support, previously it was hardcoded to v6
jow []
[packages] mini-snmpd: make IPv4 / IPv6 mode switchable when daemon is built with IPv6 support, previously it was hardcoded to v6


git-svn-id: svn://svn.openwrt.org/openwrt/packages@26826 3c298f89-4303-0410-b956-a3cf2f4a3e73

9 years ago[packages] php5: Rework and simplify makefile (#9196)
mhei []
[packages] php5: Rework and simplify makefile (#9196)

- use standard variables for configure
- use standard macros for build (prevents a second configure/compile
run when both php5-cli and php5-cgi packages are selected)
- construct PKG_CONFIG_DEPENDS before including packages.mk (fixes #9196)



git-svn-id: svn://svn.openwrt.org/openwrt/packages@26825 3c298f89-4303-0410-b956-a3cf2f4a3e73

9 years ago[packages] php5: fix APC support
mhei []
[packages] php5: fix APC support

The APC patch adds the APC extension to the source tree. However,
when it was selected nothing happens since the extension wasn't
'registered'. This is what a 'buildconf' run usually does.
This however needs version 2.13 of autoconf. So instead of
requiring this (additional) autoconf version on the build system
the files changed are included in an additional patch.



git-svn-id: svn://svn.openwrt.org/openwrt/packages@26824 3c298f89-4303-0410-b956-a3cf2f4a3e73

9 years ago[packages] php5: whitespace fixes only
mhei []
[packages] php5: whitespace fixes only

git-svn-id: svn://svn.openwrt.org/openwrt/packages@26823 3c298f89-4303-0410-b956-a3cf2f4a3e73

9 years ago[packages] package luaposix, the general Lua POSIX library
jow []
[packages] package luaposix, the general Lua POSIX library


git-svn-id: svn://svn.openwrt.org/openwrt/packages@26821 3c298f89-4303-0410-b956-a3cf2f4a3e73

9 years ago[packages/qt4] linuxinput device grabbing: disable debug output
mirko []
[packages/qt4] linuxinput device grabbing: disable debug output

git-svn-id: svn://svn.openwrt.org/openwrt/packages@26800 3c298f89-4303-0410-b956-a3cf2f4a3e73

9 years ago[packages] libusb-1.0: add a workaround for uClibc TFD_NONBLOCK / O_NONBLOCK mismatch on mips (#9338)
jow []
[packages] libusb-1.0: add a workaround for uClibc TFD_NONBLOCK / O_NONBLOCK mismatch on mips (#9338)


git-svn-id: svn://svn.openwrt.org/openwrt/packages@26794 3c298f89-4303-0410-b956-a3cf2f4a3e73

9 years ago[packages] lvm2: readd $(FPIC) (#9335)
jow []
[packages] lvm2: readd $(FPIC) (#9335)


git-svn-id: svn://svn.openwrt.org/openwrt/packages@26793 3c298f89-4303-0410-b956-a3cf2f4a3e73

9 years ago[PATCH] New package CPUsage
jow []
[PATCH] New package CPUsage
Add CPUsage to /utils

CPUsage is a small utility to dump the CPU usage every second.
This version can write CSV output.

Signed-off-by: Florian Sesser <sesser@in.tum.de>


git-svn-id: svn://svn.openwrt.org/openwrt/packages@26792 3c298f89-4303-0410-b956-a3cf2f4a3e73

9 years ago[packages] pcre: Add C++ wrapper for pcre package (#9331)
jow []
[packages] pcre: Add C++ wrapper for pcre package (#9331)


git-svn-id: svn://svn.openwrt.org/openwrt/packages@26791 3c298f89-4303-0410-b956-a3cf2f4a3e73

9 years ago[PATCH] [packages] New package libcunit
jow []
[PATCH] [packages] New package libcunit
Add to CUnit to /libs/

CUnit is a lightweight system for writing, administering, and running unit
tests in C. It provides C programmers a basic testing functionality with a
flexible variety of user interfaces.

Signed-off-by: Florian Sesser <sesser@in.tum.de>


git-svn-id: svn://svn.openwrt.org/openwrt/packages@26790 3c298f89-4303-0410-b956-a3cf2f4a3e73

9 years ago[PATCH] strongswan4 update to 4.5.1
jow []
[PATCH] strongswan4 update to 4.5.1
This patch updates the strongswan4 package from 4.3.7 to 4.5.1. I have
added the following plugins which get built as strongswan4-mod-<plugin>
packages:

constraints - X.509 constraint checking
dhcp - DHCP-based IP and DNS
farp - Fake arp responses
led - LED blink on IKE activity
revocation - X.509 revocation checking
socket-default - Default socket for IKEv2
socket-raw - RAW socket of IKEv1 and IKEv2
xauth - XAUTH authentication

Upstream default plugins were added to the strongswan4-default meta
package. "socket-default" and "kernel-netlink" plugins were added to the
strongswan4-minimal meta package since a socket and a kernel interface are
required for a working setup and these are the upstream defaults in this
case. The whack command was moved to strongswan4-app-pluto.

The 202-clone.patch has been fixed upstream so it can be removed. The
other patches were rebased for the new strongswan4 release.

I have been using strongswan 4.5.1 with backfire and trunk for a couple
weeks now. There are some missing kernel modules in trunk that are
required for strongswan4 to work (also true for 4.3.7). There are already
a couple of tickets on trac addressing these kernel modules:

https://dev.openwrt.org/ticket/9234
https://dev.openwrt.org/ticket/8928

I also have my own patch that just packages all of the missing modules
into a single kmod-crypto-ipsec package. It would be nice to get some
discussion how these modules should be packaged so we can get working
ipsec support in trunk.

Signed-off-by: Lars Hjersted <lars at hjersted.com>


git-svn-id: svn://svn.openwrt.org/openwrt/packages@26789 3c298f89-4303-0410-b956-a3cf2f4a3e73

9 years ago[PATCH]Âpackages: Update pango to 1.28.4
jow []
[PATCH]Âpackages: Update pango to 1.28.4
Signed-off-by: Jochen Friedrich <jochen@scram.de>


git-svn-id: svn://svn.openwrt.org/openwrt/packages@26788 3c298f89-4303-0410-b956-a3cf2f4a3e73

9 years ago[PATCH] Update Quicktun to version 2.1.7
jow []
[PATCH] Update Quicktun to version 2.1.7
Signed-off-by: Matthias Schiffer <mschiffer@universe-factory.net>


git-svn-id: svn://svn.openwrt.org/openwrt/packages@26787 3c298f89-4303-0410-b956-a3cf2f4a3e73

9 years ago[PATCH] cmus music player Makefile
jow []
[PATCH] cmus music player Makefile
This adds the "cmus" package to packages.


git-svn-id: svn://svn.openwrt.org/openwrt/packages@26784 3c298f89-4303-0410-b956-a3cf2f4a3e73

9 years ago[PATCH] [packages] ipv6/ipv6calc: Update to 0.82
jow []
[PATCH] [packages] ipv6/ipv6calc: Update to 0.82
Update ipv6calc to newest 0.82. This reduces the binary sizes
significantly.

Signed-off-by: Jonas Gorski <jonas.gorski+openwrt@gmail.com>



git-svn-id: svn://svn.openwrt.org/openwrt/packages@26783 3c298f89-4303-0410-b956-a3cf2f4a3e73

9 years ago[PATCH] utils/collectd: fix modbus plugin
jow []
[PATCH] utils/collectd: fix modbus plugin
This patch makes some small corrections to my previous patch enabling the modbus plugin of collectd.
Signed-off-by: Daniel Golle <daniel.golle@gmail.com>


git-svn-id: svn://svn.openwrt.org/openwrt/packages@26782 3c298f89-4303-0410-b956-a3cf2f4a3e73

9 years ago[packages/qt4] allow configure 'grabbing' of linuxinput devices (via ioctl EVIOCGRAB) -
mirko []
[packages/qt4] allow configure 'grabbing' of linuxinput devices (via ioctl EVIOCGRAB) -
without 'grabbing' all keystrokes are passed to other applications as well as to possible underlying ttys / shells

git-svn-id: svn://svn.openwrt.org/openwrt/packages@26780 3c298f89-4303-0410-b956-a3cf2f4a3e73

9 years ago[packages] libiconv: add ASCII as alias to US-ASCII, fixes various glib applications
jow []
[packages] libiconv: add ASCII as alias to US-ASCII, fixes various glib applications

git-svn-id: svn://svn.openwrt.org/openwrt/packages@26775 3c298f89-4303-0410-b956-a3cf2f4a3e73

9 years agoUpgrade mc package. Tickets 9225 and 9268 can be closed. The mc package
thepeople []
Upgrade mc package. Tickets 9225 and 9268 can be closed. The mc package
is optimized for size.

Signed-off-by: Luka Perkov < openwrt ->-to->- lukaperkov.net >

git-svn-id: svn://svn.openwrt.org/openwrt/packages@26762 3c298f89-4303-0410-b956-a3cf2f4a3e73

9 years agoremove old mdadm patch
luka []
remove old mdadm patch

git-svn-id: svn://svn.openwrt.org/openwrt/packages@26760 3c298f89-4303-0410-b956-a3cf2f4a3e73

9 years agorename mdadm patch
luka []
rename mdadm patch

git-svn-id: svn://svn.openwrt.org/openwrt/packages@26759 3c298f89-4303-0410-b956-a3cf2f4a3e73

9 years agoupgrade lm-sensors package
luka []
upgrade lm-sensors package

git-svn-id: svn://svn.openwrt.org/openwrt/packages@26758 3c298f89-4303-0410-b956-a3cf2f4a3e73

9 years ago[packages] mdadm: fix typo in r26755
jow []
[packages] mdadm: fix typo in r26755


git-svn-id: svn://svn.openwrt.org/openwrt/packages@26757 3c298f89-4303-0410-b956-a3cf2f4a3e73

9 years agoadd lvm2 cross compile fix
luka []
add lvm2 cross compile fix

git-svn-id: svn://svn.openwrt.org/openwrt/packages@26756 3c298f89-4303-0410-b956-a3cf2f4a3e73

9 years agoupgrade mdadm package
luka []
upgrade mdadm package

git-svn-id: svn://svn.openwrt.org/openwrt/packages@26755 3c298f89-4303-0410-b956-a3cf2f4a3e73

9 years agoupgrade lvm2 package
luka []
upgrade lvm2 package

git-svn-id: svn://svn.openwrt.org/openwrt/packages@26754 3c298f89-4303-0410-b956-a3cf2f4a3e73

9 years ago[packages] alsa-utils: prevent configure from using host ncurses[w]5-config files
jow []
[packages] alsa-utils: prevent configure from using host ncurses[w]5-config files


git-svn-id: svn://svn.openwrt.org/openwrt/packages@26739 3c298f89-4303-0410-b956-a3cf2f4a3e73

9 years ago[packages] php5: remove obsolete patch after update to 5.3.6
mhei []
[packages] php5: remove obsolete patch after update to 5.3.6

git-svn-id: svn://svn.openwrt.org/openwrt/packages@26732 3c298f89-4303-0410-b956-a3cf2f4a3e73

9 years ago[packages] php5: update to 5.3.6
mhei []
[packages] php5: update to 5.3.6

git-svn-id: svn://svn.openwrt.org/openwrt/packages@26731 3c298f89-4303-0410-b956-a3cf2f4a3e73

9 years ago[packages] php5: fix typo for package description
mhei []
[packages] php5: fix typo for package description

git-svn-id: svn://svn.openwrt.org/openwrt/packages@26730 3c298f89-4303-0410-b956-a3cf2f4a3e73

9 years ago[packages] php5: add maintainer details
mhei []
[packages] php5: add maintainer details

git-svn-id: svn://svn.openwrt.org/openwrt/packages@26729 3c298f89-4303-0410-b956-a3cf2f4a3e73

9 years ago[PATCH] Update and FIX socat
jow []
[PATCH] Update and FIX socat
socat was bugged for ages now. It does compile, so probably no one
noticed. While running through its configure script, the build process
complains about some missing variables and gives a hint, that the user
should supply them manually. This does ONLY happen in a cross compiling
environment, otherwise the configure script guesses them right. I don't
know the purpose of these variables exactly, but they seem to be OS
dependent and NOT hardware dependent. I tested this on various
architectures and they were all the same, as long as linux is involved.
So I think its safe to specify them in the Makefile.

The point why they're important, is simply that socat compiles, but
exits with some sort of error right after invocation, if they weren't
present at compile time. There are numerous tickets around concerning
this bug. Newer Versions of socat won't even compile if they're missing,
maybe thats why it's kinda outdated by now.

However, this little patch should fix it.

Signed-off-by: Hendrik Bartusch <bartusch@exoz.net>


git-svn-id: svn://svn.openwrt.org/openwrt/packages@26728 3c298f89-4303-0410-b956-a3cf2f4a3e73

9 years agonet/bwping: BWPing is a small utility for bandwidth measuring. (thank you Florian Sesser)
acoul []
net/bwping: BWPing is a small utility for bandwidth measuring. (thank you Florian Sesser)


git-svn-id: svn://svn.openwrt.org/openwrt/packages@26727 3c298f89-4303-0410-b956-a3cf2f4a3e73

9 years agoZNC: Fix webadmin, allow external config and minor fixes
jogo []
ZNC: Fix webadmin, allow external config and minor fixes

* Fix the webadmin module and add the themes

* Allow providing ZNC an external config (closes #9110)

* Allow specifying the user and group to run ZNC as (needs su when using
external config)

* Allow providing a certificate for incoming SSL connections

* Reduce buildtime by not rebuilding everything everytime

Signed-off-by: Jonas Gorski <jonas.gorski+openwrt@gmail.com>

git-svn-id: svn://svn.openwrt.org/openwrt/packages@26722 3c298f89-4303-0410-b956-a3cf2f4a3e73

9 years agonet/apf: Active port forwarder is a software tool for secure port forwarding. (Closes #9256)
acoul []
net/apf: Active port forwarder is a software tool for secure port forwarding. (Closes #9256)


git-svn-id: svn://svn.openwrt.org/openwrt/packages@26721 3c298f89-4303-0410-b956-a3cf2f4a3e73

9 years agobatman-adv: init script tries to retrieve interfaces from uci
marek []
batman-adv: init script tries to retrieve interfaces from uci

The batman-adv init script will query uci (network.$iface.ifname)
to retrieve the interface name to re-use the existing network
configuration system.
The default iface configuration (batman-adv.bat0.interfaces) is
set to 'mesh' which allows to start batman-adv as soon as the
network configuration contains a 'mesh' stanza.

Signed-off-by: Filippo Sallemi <tonyputi@gmail.com>
Signed-off-by: Gioacchino Mazzurco <gmazzurco89@gmail.com>



git-svn-id: svn://svn.openwrt.org/openwrt/packages@26719 3c298f89-4303-0410-b956-a3cf2f4a3e73

9 years agobatman-adv: upgrade package to latest release (2011.1.0)
marek []
batman-adv: upgrade package to latest release (2011.1.0)


git-svn-id: svn://svn.openwrt.org/openwrt/packages@26718 3c298f89-4303-0410-b956-a3cf2f4a3e73

9 years ago[packages] openntpd:
jow []
[packages] openntpd:
- don't check directory permissions, we can't make /var 0700 (#9258)
- fix init script after r26148, use service_kill instead of killall -9 (#9258)
- bump pkg revision


git-svn-id: svn://svn.openwrt.org/openwrt/packages@26717 3c298f89-4303-0410-b956-a3cf2f4a3e73

9 years ago[packages] tor-alpha: update to 0.2.2.24-alpha, add geoip package
swalker []
[packages] tor-alpha: update to 0.2.2.24-alpha, add geoip package


git-svn-id: svn://svn.openwrt.org/openwrt/packages@26694 3c298f89-4303-0410-b956-a3cf2f4a3e73

9 years agoupgrade git package
luka []
upgrade git package

git-svn-id: svn://svn.openwrt.org/openwrt/packages@26688 3c298f89-4303-0410-b956-a3cf2f4a3e73

9 years agoprosody: do not chown on the host system
nbd []
prosody: do not chown on the host system

git-svn-id: svn://svn.openwrt.org/openwrt/packages@26675 3c298f89-4303-0410-b956-a3cf2f4a3e73

9 years agoAdd maintainer details for lcd4linux
jmccrohan []
Add maintainer details for lcd4linux

git-svn-id: svn://svn.openwrt.org/openwrt/packages@26667 3c298f89-4303-0410-b956-a3cf2f4a3e73

9 years agodowngrade libtorrent and rtorrent; rtorrent crashes only solution was to use stable and not svn version (8733)
luka []
downgrade libtorrent and rtorrent; rtorrent crashes only solution was to use stable and not svn version (8733)

git-svn-id: svn://svn.openwrt.org/openwrt/packages@26664 3c298f89-4303-0410-b956-a3cf2f4a3e73

9 years ago[packages] slang2: add the OLD directory as a source url
swalker []
[packages] slang2: add the OLD directory as a source url


git-svn-id: svn://svn.openwrt.org/openwrt/packages@26661 3c298f89-4303-0410-b956-a3cf2f4a3e73

9 years ago[packages] usbutils: Fix zlib support (#9216)
acinonyx []
[packages] usbutils: Fix zlib support (#9216)

git-svn-id: svn://svn.openwrt.org/openwrt/packages@26660 3c298f89-4303-0410-b956-a3cf2f4a3e73

9 years ago[packages/qt4] package qt4 VNC graphics driver
mirko []
[packages/qt4] package qt4 VNC graphics driver

git-svn-id: svn://svn.openwrt.org/openwrt/packages@26659 3c298f89-4303-0410-b956-a3cf2f4a3e73

9 years ago[packages/qt4] include linuxinput driver for keyboards by default
mirko []
[packages/qt4] include linuxinput driver for keyboards by default

why the heck can we build the linuxinput-keyboard driver as a plugin, but
the linuxinput-mouse driver can just be compiled in? Why does qt4 has
different drivers for mouse/keyboard using the linuxinput stack at all?

git-svn-id: svn://svn.openwrt.org/openwrt/packages@26658 3c298f89-4303-0410-b956-a3cf2f4a3e73

comments